lua-argparse-0.5.0-1.el7.noarch.rpm


Advertisement

Description

lua-argparse - Feature-rich command line parser for Lua

Property Value
Distribution CentOS 7
Repository EPEL x86_64
Package filename lua-argparse-0.5.0-1.el7.noarch.rpm
Package name lua-argparse
Package version 0.5.0
Package release 1.el7
Package architecture noarch
Package type rpm
Homepage https://github.com/mpeterv/argparse
License MIT
Maintainer -
Download size 12.62 KB
Installed size 32.44 KB
Argparse is a feature-rich command line parser for Lua inspired by argparse
for Python.
Argparse supports positional arguments, options, flags, optional arguments,
subcommands and more. Argparse automatically generates usage, help and error
messages.

Alternatives

Package Version Architecture Repository
lua-argparse - - -

Requires

Name Value
lua >= 5.1

Provides

Name Value
lua-argparse = 0.5.0-1.el7

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package lua-argparse-0.5.0-1.el7.noarch.rpm
Source Package lua-argparse-0.5.0-1.el7.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/7/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install lua-argparse rpm package:
    # yum install lua-argparse

Files

Path
/usr/share/doc/lua-argparse-0.5.0/LICENSE
/usr/share/doc/lua-argparse-0.5.0/README.md
/usr/share/lua/5.1/argparse.lua

Changelog

2015-12-09 - Jeff Backus <jeff.backus@gmail.com> - 0.5.0-1
- Updated to latest version / address bug #1289954
2015-09-10 - Jeff Backus <jeff.backus@gmail.com> - 0.4.1-2
- Fixed build issue on EPEL
2015-08-04 - Jeff Backus <jeff.backus@gmail.com> - 0.4.1-1
- Updated to latest version
- Removed extraneous patch
2015-08-04 - Jeff Backus <jeff.backus@gmail.com> - 0.4.0-3
- Changed license handling to more readable form
- Modified to rebuild sphinx documentation and remove fonts
- Added patch to put license at head of argparse.lua
2015-07-27 - Jeff Backus <jeff.backus@gmail.com> - 0.4.0-2
- Fixed permissions on argparse.lua
- Added proper handling of license for EPEL6
- Removed commented-out macros
2015-07-22 - Jeff Backus <jeff.backus@gmail.com> - 0.4.0-1
- Initial release

See Also

Package Description
lua-basexx-0.4.0-2.el7.noarch.rpm BaseXX encoding and decoding library for Lua
lua-binaryheap-0.4-1.el7.noarch.rpm Binary heap implementation for Lua
lua-bit32-5.3.0-2.el7.x86_64.rpm Backport of Lua bit manipulation library introduced in 5.2
lua-bitop-1.0.2-3.el7.x86_64.rpm C extension module for Lua which adds bitwise operations on numbers
lua-compat53-0.7-3.el7.x86_64.rpm Compatibility module providing Lua-5.3-style APIs for Lua 5.1
lua-cqueues-20190813-1.el7.x86_64.rpm Stackable Continuation Queues for the Lua Programming Language
lua-cqueues-doc-20190813-1.el7.noarch.rpm Documentation for the Stackable Continuation Queues library
lua-cyrussasl-1.1.0-1.el7.x86_64.rpm Cyrus SASL library for Lua
lua-dbi-0.7.2-1.el7.x86_64.rpm Database interface library for Lua
lua-event-0.4.6-1.el7.x86_64.rpm This is a binding of libevent to Lua
lua-expat-1.3.0-12.el7.x86_64.rpm SAX XML parser based on the Expat library
lua-fifo-0.2-1.el7.noarch.rpm FIFO library for Lua
lua-filesystem-1.6.2-2.el7.x86_64.rpm File System Library for the Lua Programming Language
lua-fun-0.1.3-1.el7.noarch.rpm Functional programming library for Lua
lua-http-0.3-2.el7.noarch.rpm HTTP library for Lua
Advertisement
Advertisement